Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86251 - weather applet no longer uses proxy
Summary: weather applet no longer uses proxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-18 04:39 UTC by Michael Wardle
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-19 09:39:18 UTC


Attachments (Terms of Use)

Description Michael Wardle 2003-03-18 04:39:35 UTC
Description of problem:
In a recent version of Red Hat Linux, the GNOME weather applet
stopped functioning for me on my work system, yet continued to
work on my home system.  My work system requires that Internet
access be performed via an Internet Web proxy server, while my
home system does not.

I ran a tcpdump of my local host, and it seems the weather applet
is attempting to connect directly to tgftp.new.noaa.gov on port
80, rather than via the Web proxy.

It seems that gweather-applet2 has stopped using the Web proxy
configured in Preferences->Network proxy.

I don't know whether this affects any other applets that use
these proxy settings, because I can't think of any to test them.

Version-Release number of selected component (if applicable):
gnome-applets-2.2.0-3

Comment 1 Louis-Philippe Brais 2003-10-30 22:03:50 UTC
This is related to Gnome Bug #110518
http://bugzilla.gnome.org/show_bug.cgi?id=110518

Workaround is to use gconf-editor to set the use_http_proxy option.


Comment 2 Mark McLoughlin 2004-07-19 09:39:18 UTC
This should be fixed in Fedora Core 2 (and probably in Fedora Core 1
as well)


Note You need to log in before you can comment on or make changes to this bug.